Jump to content
Blesta Addons

[Components] Html Invoice

Recommended Posts

On 9/28/2019 at 8:17 AM, Blesta Addons said:

Hello Sir

if i remember well i have updated the components, but i'm not sur if the guys has added it to the download section, let me check for you .

Edit : Hello again, i found that the plugin was updated already to 3.1.

Edit 2 : i see that you claim about cronjob delivery, sorry for the misunderstanding, i will try to produce it, i have tested the manual delivery and it work for me, i will let the components active to see the error logs . do you have any error logs for this cron?

I couldn't even force manual delivery on invoices, it was just getting stuck until I disabled or switched to the default. The only errors showing in the logs were pointing to app_controller.php.

Share this post


Link to post
Share on other sites
2 hours ago, Blesta Addons said:

 

we have tested with 4.9 and Beta 4.10.

Please change copyright notice or make something at your website to look better like an updated website... I was initially scared reading (c) 2015, and seeing the nh-groupe pointing to a non existent website ... 🙂

Also many packages have last update up to 2017 or 2018.

Cit. from Html Invoice Template page:

Last Update
— 2016-02-18

Share this post


Link to post
Share on other sites

Hello Blesta Addons

1) - Can you please provide some screen shot of what the HTML invoices would look like in an email ?

2) - Can you also provide a direct link to the Add-on on your website ?

3) - Are there any instructions on how to install it ?

Share this post


Link to post
Share on other sites

 

I went to the following two links ...

https://blesta-addons.com/client/plugin/store/main/item/6/#change_log

https://blesta-addons.com/client/plugin/store/main/item/6/#requirements

 

1) - Seems the changelog has not been updated.

2) - The requirements show that this will work with anything " above version 3.3 + "

 

Is this correct ?

 

Will this work with Blesta version 4.0.1   (   from May 02, 2017   )  ?

 

If it does, I will definitely make a purchase today .

 

===========

Thanks in advance

Look forward to your reply.

Edited by turner2f

Share this post


Link to post
Share on other sites
On 5/23/2020 at 8:43 PM, vedova said:

Please change copyright notice or make something at your website to look better like an updated website... I was initially scared reading (c) 2015, and seeing the nh-groupe pointing to a non existent website ... 🙂

Also many packages have last update up to 2017 or 2018.

Cit. from Html Invoice Template page:

Last Update
— 2016-02-18

2015 is the year we begin working in blesta-addons website, and is belong to NH Groupe (Naja7host) . the domain is registered but is not online

the package was not updated a lot as is working, it was a bug in this last months with new blesta releases and we have fixed it now .

Share this post


Link to post
Share on other sites
14 hours ago, turner2f said:

1) - Can you please provide some screen shot of what the HTML invoices would look like in an email ?

14 hours ago, turner2f said:

3) - Are there any instructions on how to install it ?

if you have time, you can se the first post to see what html invoice look. and install instruction

14 hours ago, turner2f said:

2) - Can you also provide a direct link to the Add-on on your website ?

the addon is a part of the subscriptions, you need to purchase a subscription that give you access to the addon .

14 hours ago, turner2f said:

1) - Seems the changelog has not been updated.

2) - The requirements show that this will work with anything " above version 3.3 + "

not updating change log didn't mean that the plugin is deed, the addon was tested until b4.9, and i believe is compatible with 4.10 .

Share this post


Link to post
Share on other sites

Thanks for the reply.

But I am wanting to know if the plugin is compatible with Blesta version  4.0.1  ( from 2017 ) .

I would like to buy quickly if it is compatible with my version.

Share this post


Link to post
Share on other sites
8 hours ago, Blesta Addons said:

not updating change log didn't mean that the plugin is deed, the addon was tested until b4.9, and i believe is compatible with 4.10 .

Hey Man, changelog is almost a holy monster, how can we trust you if you don't rely on dev principles? 🙂

Updated changelog -> Live product

Non updated changelog -> Dead product

An OT: as per your knowledge Hetzner module is working currently? Want to try the VIP subscription but little scared about those missing things - updates on plugin/modules status, not working links on website, etc - Platform like Blesta in forums are discussed to be empty of add-ons and other things like this... if developers missing something, this unconditionally will be reflected to the platform whole credibility/trust. It's a fact!

- Forgive me, but I'm critical by nature. -

Share this post


Link to post
Share on other sites
3 hours ago, vedova said:

Hey Man, changelog is almost a holy monster, how can we trust you if you don't rely on dev principles? 🙂

Updated changelog -> Live product

Non updated changelog -> Dead product

An OT: as per your knowledge Hetzner module is working currently? Want to try the VIP subscription but little scared about those missing things - updates on plugin/modules status, not working links on website, etc - Platform like Blesta in forums are discussed to be empty of add-ons and other things like this... if developers missing something, this unconditionally will be reflected to the platform whole credibility/trust. It's a fact!

- Forgive me, but I'm critical by nature. -

Hello Sir

i know your doubt about such thing, but we grant you the working of our addons, or fixing any bug you found.

about hetzner is working and we are using it in our production site, it has the lock of two thing not yet implemented (console, volumes) . apart from this two thing all thing is working (create, suspend, unsuspend, terminate, stop, reboot, boot, install)

we are using Blesta from the first beta release in 2007 if my memory is good .

 

Share this post


Link to post
Share on other sites

Just FYI -

I had originally purchased this add-on some time ago as an individual add-on, then when it had to be included in a "subscription", I paid the $10 again just so I can use the add-on. Then, I performed an update to Blesta which rendered the add-on useless and was no longer compatible. This happened over a year ago and we're just now getting a "working" version? No thanks, even if it is $10 it's not worth the hassle IMO.

Sorry, but if you are going to make add-ons for a piece of software that you can't keep up with to ensure compatibility, then maybe you need to scale back and focus on what you're compatible of handling to ensure a good project. Even having a "paid" subscription and submitting multiple tickets trying to get an update and not hearing anything for several months is unacceptable. Don't mean to sound harsh, but others need to know what they're getting into.

Share this post


Link to post
Share on other sites

 

On 5/27/2020 at 5:29 PM, Jason Ryan said:

Just FYI -

I had originally purchased this add-on some time ago as an individual add-on, then when it had to be included in a "subscription", I paid the $10 again just so I can use the add-on. Then, I performed an update to Blesta which rendered the add-on useless and was no longer compatible. This happened over a year ago and we're just now getting a "working" version? No thanks, even if it is $10 it's not worth the hassle IMO.

Sorry, but if you are going to make add-ons for a piece of software that you can't keep up with to ensure compatibility, then maybe you need to scale back and focus on what you're compatible of handling to ensure a good project. Even having a "paid" subscription and submitting multiple tickets trying to get an update and not hearing anything for several months is unacceptable. Don't mean to sound harsh, but others need to know what they're getting into.

sorry to hear this, we are sorry about what happen with you, but the components was working in our production server, anyway i'm sorry again to have you encountered in that situation.

in fact i can't tell you i will fix in 24H, but we are working hard to make the most to fix any issue if we discovered by us or by clients, the HTML components was my mistake because i had already the fix but i have not make attention to put in the website in the time, even if i forget that i have made a fix :(

 

Share this post


Link to post
Share on other sites

@Blesta Addons

I just purchased the " HTML Invoice v3.2.0 " plugin .

==========

I followed the installation instructions :

I uploaded the " html_invoice " folder inside " components/invoice_templates "  directory .

Then I logged int Blesta and went to " Settings - - > Company - - > Look & Feel - - > Invoice Customaization

And then I ran into two (2) separate PHP issues

==========

 

ISSUE 1 -  I am currently running Blesta on PHP 7.0 .

And here is the PHP Error message I received . . .

 

Fatal error:
The file /home/myusername/support.mywebsitename.com/my_hub_cntr/components/invoice_templates/html_invoice/html_invoice_htm.php was encoded with the Encoder for PHP 7.1 and can only run on PHP 7.1 or later.
If you are the administrator of this site then please upgrade to PHP 7.1 or later and install the corresponding ionCube Loader. in Unknown on line 0

 

ISSUE 2 - So I went ahead and changed the PHP from 7.0  to  7.1

And here is the PHP Error message I received . . .

Fatal error: The file /home/myusername/support.mywebsitename.com/my_hub_cntr/app/app_controller.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0

=================

Please supply the exact steps I need to take get the " HTML Invoice " plugin installed and working within my Blesta installation AND with PHP 7.1 .

=================

 

IMPORTANT NOTE : My version of Blesta is v4.0.1

 

Please help.

Thanks in advance.

 

Edited by turner2f

Share this post


Link to post
Share on other sites
On 6/21/2020 at 6:03 AM, turner2f said:

ISSUE 2 - So I went ahead and changed the PHP from 7.0  to  7.1

And here is the PHP Error message I received . . .

Fatal error: The file /home/myusername/support.mywebsitename.com/my_hub_cntr/app/app_controller.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0

You need to apply the blesta hotfix for php 7.1 that was included in the blesta files you can download.

Share this post


Link to post
Share on other sites
On 6/22/2020 at 11:09 AM, mrrsm said:

You need to apply the blesta hotfix for php 7.1 that was included in the blesta files you can download.

It seems I will need to UP-Grade my version of Blesta first so that I can use the recommended ION Cube.

Share this post


Link to post
Share on other sites
On 7/17/2020 at 10:04 AM, turner2f said:

It seems I will need to UP-Grade my version of Blesta first so that I can use the recommended ION Cube.

https://docs.blesta.com/display/user/Installing+Blesta#InstallingBlesta-3.ApplyHotfixFiles(ifnecessary)

If you don't have the hotfix files from when you originally set up blesta you can find them again here https://account.blesta.com/client/plugin/download_manager/client_main/index/

Back stuff up first - not my fault if you break it :)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...